--
-- $Id$
--
-- Corrigeer CONSTRAINT ins_c_ins_srtdiscipline_kk voor klanten
-- die met DB36 zijn aangemaakt

DEFINE thisfile = 'DB36_FSN#58238.sql'
DEFINE dbuser   = '*'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

ALTER TABLE ins_srtdiscipline
 DROP CONSTRAINT ins_c_ins_srtdiscipline_kk;

ALTER TABLE ins_srtdiscipline
  ADD CONSTRAINT ins_c_ins_srtdiscipline_kk CHECK(ins_srtdiscipline_kostenklant IN (0,1,2,4,5,6,8,9,10));

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
